export declare class CacheService {
    cacheExpiresMin: number;
    /**
     * Creates a key with a prefix
     * @param key
     * @param prefix
     */
    buildStorageKey(key: string, prefix?: string): string;
    /**
     * Remove an object by key from the session storage
     * @param key
     * @param prefix
     */
    clearStoredDataByKey(key: string, prefix?: string): void;
    /**
     * Get an object by key from the session storage
     * @param key
     * @param prefix
     */
    getStoredDataByKey(key: string, prefix?: string): any;
    /**
     * Set an object into the session storage
     * @param key
     * @param dataToStore
     * @param expireMinutes
     * @param prefix
     */
    setStoredDataByKey(key: string, dataToStore: any, prefix?: string): void;
    /**
     * Get the current language from the session storage
     */
    getSessionLanguage(): string;
    /**
     * Set the webpart with the parameters from the session storage
     */
    getWebPartConfigFromSessionStorage(webPartName: string, paramsArray: string[], webPartModel: any): any;
}
