import { RoleType, PermissionKind, Item, List } from "@pnp/sp";
import { SecurityLevel } from "../enums/Constants";
import { RoleDefinition } from "../modelsSP";
export declare class SecurityService {
    constructor();
    userHasPermissionDocsList(listTitle: string, permLevel: PermissionKind): Promise<boolean>;
    setBreakRoleInheritanceList(list: List, copyRoles: boolean): Promise<any>;
    resetRoleInheritanceList(list: List): Promise<any>;
    setBreakRoleInheritanceItem(item: Item, copyRoles: boolean): Promise<any>;
    resetRoleInheritanceItem(item: Item): Promise<any>;
    getRolDefinitionsCustom(rolName: string): Promise<RoleDefinition>;
    getRolDefinitionsGeneric(rolType: RoleType): Promise<RoleDefinition>;
    getCurrentUser(): Promise<any>;
    getUserbyId(idUser: number): Promise<any>;
    getGroupIdbyName(nameGroup: string): Promise<number>;
    addRoleUser(item: Item, userId: number, roleDef: RoleDefinition): Promise<any>;
    removeRoleUser(item: Item, userId: number, roleDef: RoleDefinition): Promise<any>;
    assignPermissionUserItem(item: Item, userId: number, roleType?: RoleType, roleName?: string): Promise<void>;
    removePermissionUserItem(item: Item, userId: number, roleType?: RoleType, roleName?: string): Promise<void>;
    getLevelPermissionInList(listName: string): Promise<SecurityLevel>;
    getLevelPermissionInListById(listId: string): Promise<SecurityLevel>;
    static userHasPermissionListItem(listTitle: string, itemId: number, permLevel: PermissionKind): Promise<boolean>;
}
